Skip to content

# AnyTLS

Since sing-box 1.12.0

### Structure

    {
      "type": "anytls",
      "tag": "anytls-in",

      ... // Listen Fields

      "users": [
        {
          "name": "sekai",
          "password": "8JCsPssfgS8tiRwiMlhARg=="
        }
      ],
      "padding_scheme": [],
      "tls": {}
    }

### Listen Fields

See Listen Fields for details.

### Fields

#### users

Required

AnyTLS users.

#### padding_scheme

AnyTLS padding scheme line array.

Default padding scheme:

    [
      "stop=8",
      "0=30-30",
      "1=100-400",
      "2=400-500,c,500-1000,c,500-1000,c,500-1000,c,500-1000",
      "3=9-9,500-1000",
      "4=500-1000",
      "5=500-1000",
      "6=500-1000",
      "7=500-1000"
    ]

#### tls

TLS configuration, see TLS.